#!/usr/bin/env python
# -*- coding: utf-8 -*-

import pyodbc
import PySimpleGUI as sg

server = 'OLIMP_22' 
database = 'soft_eyebrows' 
username = 'public' 
password = ''
connString = 'DRIVER={ODBC Driver 17 for SQL Server};SERVER='+server+';DATABASE='+database+';'+'Trusted_Connection=yes;'

def getCursor():
    return pyodbc.connect(connString).cursor()

def getConn():
    return pyodbc.connect(connString)

def get_service_data(cursor):
    query = ('select Title, Cost, DurationInSeconds, Discount, MainImagePath from Service ')
    cursor.execute(query)
    row = cursor.fetchone()
    data = []
    while row:
        data.append(list(row))
        row = cursor.fetchone()
    return data

def generate_list():
    service_image = [[sg.Multiline('', size=(15,7))]]
    
    service_info = [[sg.Text('smpl', key = '-service_name-')],
                    [sg.Text('smpl', key = '-service_const_n_time-')],
                    [sg.Text('smpl', key = '-service_discount-')],
                    [sg.Button('Edit'), sg.Button('Delete')]]
    
    one_service = [[sg.Column(service_image), sg.Column(service_info, size=(300,150))]]
    
    cursor = getCursor()
    data = get_service_data(cursor)
    
    main_layout = []
    for each in data:
        g=1
    #print(len(data))

generate_list()
def service_form():
    
    service_image = [[sg.Multiline('', size=(15,7))]]
    
    service_info = [[sg.Text('smpl', key = '-service_name-')],
                    [sg.Text('smpl', key = '-service_const_n_time-')],
                    [sg.Text('smpl', key = '-service_discount-')],
                    [sg.Button('Edit'), sg.Button('Delete')]]
    
    one_service = [[sg.Column(service_image, size=(100, 100)), sg.Column(service_info, size=(300,150))]]
    
    window = sg.Window('Services', [[sg.Column(one_service,size=(700,400), scrollable=True)]], finalize=True)
    
    while True:
        event, values = window.read()
        
        if event in (None, 'Exit', 'Cancel', 'Log out'):
            break
    window.close()
    return row[0]

service_form()



